Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1737649 - cassandra 3.11.1-13.fc31 fails to install in Fedora 31 and 32
Summary: cassandra 3.11.1-13.fc31 fails to install in Fedora 31 and 32
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cassandra
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-08-05 23:51 UTC by Miro Hrončok
Modified: 2020-11-12 17:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-12 17:06:36 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2019-08-05 23:51:41 UTC
When I try to install cassandra in Fedora 31 mock, I get:

$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install cassandra
Problem: package cassandra-3.11.1-13.fc31.x86_64 requires cassandra-java-libs = 3.11.1-13.fc31, but none of the providers can be installed
 - package cassandra-java-libs-3.11.1-13.fc31.x86_64 requires mvn(com.addthis.metrics:reporter-config3), but none of the providers can be installed
 - conflicting requests
 - nothing provides mvn(org.hibernate:hibernate-validator) needed by metrics-reporter-config-3.2.2-7.fc31.noarch

This also happens when I enable the modular repositories.

Comment 1 Jakub Jančo 2019-08-13 12:35:36 UTC
hibernate-validator is orphaned package.
https://src.fedoraproject.org/rpms/hibernate-validator

Comment 2 Miro Hrončok 2019-08-13 12:52:43 UTC
Also retired.

Comment 3 Ben Cotton 2019-08-13 17:03:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 4 Ben Cotton 2019-08-13 17:03:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 5 Miro Hrončok 2019-08-31 19:59:44 UTC
Any news here? I've read that you want to orphan cassandra.

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/P2MRYPASSCPC52JZWOHKC5BYIULEOCQC/

Better do it sooner than later nad when it gets retired on master, maybe do it f31 as well?

Comment 6 Miro Hrončok 2019-09-12 11:15:04 UTC
The package was orphaned and still fails to install.

Comment 7 Miro Hrončok 2019-09-18 13:01:30 UTC
Error: 
 Problem: conflicting requests
  - nothing provides airline needed by cassandra-3.11.1-13.fc31.x86_64

Comment 8 Ben Cotton 2020-11-03 15:30:10 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Petr Viktorin (pviktori) 2020-11-12 17:06:36 UTC
This package was retired.


Note You need to log in before you can comment on or make changes to this bug.